Module::CPANTS::Kwalitee::NeedsCompiler(3pm)

NAME
Module::CPANTS::Kwalitee::NeedsCompiler - Checks if the module needs a (probably C) compiler

SYNOPSIS
Checks if there is some indication in the module that it needs a C compiler to build and install

DESCRIPTION

  Methods
order

Defines the order in which Kwalitee tests should be run.

Returns 200.

analyse

Checks for file with .c, .h or .xs extensions. Check is the module depends on any of the Inline:: modules or on ExtUtils::CBuilder or ExtUtils::ParseXS.

TODO:

How to recognize cases such as https://metacpan.org/release/GAAS/Perl-API-0.01/ and https://metacpan.org/release/Term-Size-Perl that generate the .c files during installation

In addition there are modules that can work without their XS part. E.g. Scalar-List-Utils, Net-DNS, Template-Toolkit For our purposes these all should be marked as "need C compiler" as they need it for their full functionality and speed.

kwalitee_indicators

No Kwalitee Indicator.

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Gábor Szabó <https://metacpan.org/author/szabgab>

COPYRIGHT AND LICENSE
Copyright © 2006–2008 Gábor Szabó <https://metacpan.org/author/szabgab>

You may use and distribute this module according to the same terms that Perl is distributed under.